## google-android-installers 1738791834

=== debian/changelog ===
google-android-installers (1738791834-1) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Fab Stz ]
  * Update Dutsch translation (Closes: #1087212) thanks to Frans Spiesschaert
  * Update pt_BR translation (Closes: #1091548) thanks to Paulo Henrique de
    Lima Santana
  * New upstream version 1738791834
    - NEW packages:
      - google-android-build-tools-35.0.1-installer
      - google-android-cmdline-tools-17.0-installer
      - google-android-ndk-r27c-installer
      - google-android-ndk-r28-installer
      - google-android-platform-35-ext14-installer
      - google-android-platform-35-baklava-installer
      - google-android-platform-34-ext11-installer
    - DELETED package:
      - google-android-platform-33-tiramisuprivacysandbox-installer
      - google-android-platform-34-upsidedowncakeprivacysandbox-installer
      - google-android-platform-34-vanillaicecream-installer
    - update emulator package to 35.3.11
    - update google-android-platform-35-installer to rev2
  * refresh patches
  * d/README.source: mention command to list added/deleted binary packages
  * update debian/version_list_unpacked_size.txt
  * update d/po through debconf-updatepo
  * d/scripts/get_unpacked_size.sh store downloaded file locally

 -- Fab Stz <fabstz-it@yahoo.fr>  Thu, 06 Feb 2025 10:41:37 +0100
