=== debian/control ===
# -- This file was generated automatically by the debian/scripts/build_control_file.sh script --
# -- Update control.in & *.control.in files instead --
Source: google-android-installers
Section: non-free/devel
Priority: optional
Maintainer: Fab Stz <fabstz-it@yahoo.fr>
Uploaders: Roger Shimizu <rosh@debian.org>,
Build-Depends: bash-completion,
               debhelper-compat (=13),
               pkgconf,
               po-debconf,
               systemd-dev (>= 253-3~) | udev (<< 253-3~),
               xsltproc,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://developer.android.com/about/index.html
Vcs-Git: https://salsa.debian.org/google-android-tools-team/google-android-installers.git
Vcs-Browser: https://salsa.debian.org/google-android-tools-team/google-android-installers
XS-Autobuild: yes

Package: google-android-licenses
Architecture: all
Depends: ${googleAndroidInstallers:Depends}, ${misc:Depends},
Description: Google's SDK licences subfolder with licenses SHA1 sums
 This package hols the "licenses" folder of the Google Android SDK folder
 structure.
 .
 The files in that folder contain the sha1sums of the licences that are in
 the package.xml files of each SDK Component.
 .
 They are used to check that license has been accepted by the user.

Package: google-android-platform-7-installer
Architecture: all
Conflicts: android-sdk-platform-7,
           libandroid-7-java,
           libandroid-uiautomator-7-java,
           ${google-android-platform-7-installer:Conflicts},
Replaces: android-sdk-platform-7,
          libandroid-7-java,
          libandroid-uiautomator-7-java,
Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends},
Description: Google's Android SDK Platform 7 Installer
 This package will download the Google's Android SDK Platform 7 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-2.1_r03.zip (70 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-8-installer
Architecture: all
Conflicts: android-sdk-platform-8,
           libandroid-8-java,
           libandroid-uiautomator-8-java,
           ${google-android-platform-8-installer:Conflicts},
Replaces: android-sdk-platform-8,
          libandroid-8-java,
          libandroid-uiautomator-8-java,
Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends},
Description: Google's Android SDK Platform 8 Installer
 This package will download the Google's Android SDK Platform 8 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-2.2_r03.zip (74 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-9-installer
Architecture: all
Conflicts: android-sdk-platform-9,
           libandroid-9-java,
           libandroid-uiautomator-9-java,
           ${google-android-platform-9-installer:Conflicts},
Replaces: android-sdk-platform-9,
          libandroid-9-java,
          libandroid-uiautomator-9-java,
Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends},
Description: Google's Android SDK Platform 9 Installer
 This package will download the Google's Android SDK Platform 9 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-2.3.1_r02.zip (78 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-10-installer
Architecture: all
Conflicts: android-sdk-platform-10,
           libandroid-10-java,
           libandroid-uiautomator-10-java,
           ${google-android-platform-10-installer:Conflicts},
Replaces: android-sdk-platform-10,
          libandroid-10-java,
          libandroid-uiautomator-10-java,
Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends},
Description: Google's Android SDK Platform 10 Installer
 This package will download the Google's Android SDK Platform 10 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-2.3.3_r02.zip (85 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-11-installer
Architecture: all
Conflicts: android-sdk-platform-11,
           libandroid-11-java,
           libandroid-uiautomator-11-java,
           ${google-android-platform-11-installer:Conflicts},
Replaces: android-sdk-platform-11,
          libandroid-11-java,
          libandroid-uiautomator-11-java,
Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends},
Description: Google's Android SDK Platform 11 Installer
 This package will download the Google's Android SDK Platform 11 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-3.0_r02.zip (104 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-12-installer
Architecture: all
Conflicts: android-sdk-platform-12,
           libandroid-12-java,
           libandroid-uiautomator-12-java,
           ${google-android-platform-12-installer:Conflicts},
Replaces: android-sdk-platform-12,
          libandroid-12-java,
          libandroid-uiautomator-12-java,
Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends},
Description: Google's Android SDK Platform 12 Installer
 This package will download the Google's Android SDK Platform 12 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-3.1_r03.zip (106 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-13-installer
Architecture: all
Conflicts: android-sdk-platform-13,
           libandroid-13-java,
           libandroid-uiautomator-13-java,
           ${google-android-platform-13-installer:Conflicts},
Replaces: android-sdk-platform-13,
          libandroid-13-java,
          libandroid-uiautomator-13-java,
Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends},
Description: Google's Android SDK Platform 13 Installer
 This package will download the Google's Android SDK Platform 13 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-3.2_r01.zip (108 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-14-installer
Architecture: all
Conflicts: android-sdk-platform-14,
           libandroid-14-java,
           libandroid-uiautomator-14-java,
           ${google-android-platform-14-installer:Conflicts},
Replaces: android-sdk-platform-14,
          libandroid-14-java,
          libandroid-uiautomator-14-java,
Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends},
Description: Google's Android SDK Platform 14 Installer
 This package will download the Google's Android SDK Platform 14 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-14_r04.zip (46 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-15-installer
Architecture: all
Conflicts: android-sdk-platform-15,
           libandroid-15-java,
           libandroid-uiautomator-15-java,
           ${google-android-platform-15-installer:Conflicts},
Replaces: android-sdk-platform-15,
          libandroid-15-java,
          libandroid-uiautomator-15-java,
Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends},
Description: Google's Android SDK Platform 15 Installer
 This package will download the Google's Android SDK Platform 15 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-15_r05.zip (44 MB)
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-16-installer
Architecture: all
Conflicts: android-sdk-platform-16,
           libandroid-16-java,
           libandroid-uiautomator-16-java,
           ${google-android-platform-16-installer:Conflicts},
Replaces: android-sdk-platform-16,
          libandroid-16-java,
          libandroid-uiautomator-16-java,
Depends: google-android-licenses (>= ${googleAndroidInstallers:LicensesMinVersion}),
         ${googleAndroidInstallers:Depends},
         ${misc:Depends},
Description: Google's Android SDK Platform 16 Installer
 This package will download the Google's Android SDK Platform 16 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
