=== debian/tests/control ===
# -- This file was generated automatically by the debian/scripts/build_tests_control_file.sh script --
Test-Command: /usr/lib/android-sdk/build-tools/19.1.0/aapt v
Depends: google-android-build-tools-19.1.0-installer,
Architecture: amd64 i386

Test-Command: /usr/lib/android-sdk/build-tools/35.0.1/aapt v
Depends: google-android-build-tools-35.0.1-installer,
Architecture: amd64

Test-Command: /usr/lib/android-sdk/extras/google/auto/desktop-head-unit --version
Depends: google-android-extras-google-auto-installer,
Architecture: amd64

# Check that it is possible to install multiple build-tools packages and that the highest is the one used by default
Test-Command: aapt v | cut -d v -f 2 | grep -xF '0.2-5016651'
Features: test-name=build-tools:multiple
Depends: google-android-build-tools-19.1.0-installer,
         google-android-build-tools-28.0.3-installer,
Architecture: amd64

Test-Command: apt-get -y install aapt && dpkg-query --showformat='${db:Status-Abbrev}' -W 'google-android-build-tools-19.1.0-installer' | head -c1 | grep -x 'r'
Features: test-name=build-tools:aapt_conflicts
Depends: apt-utils, google-android-build-tools-19.1.0-installer,
Architecture: amd64
Restrictions: needs-root

# Check that it is possible to install multiple cmdline-tools packages and that the highest is the one used by default
Test-Command: sdkmanager --version | head -n1 | grep -xF '4.0.1'
Features: test-name=cmdline-tools:multiple
Depends: google-android-cmdline-tools-1.0-installer,
         google-android-cmdline-tools-2.1-installer,
Architecture: amd64
