## google-android-installers 1743116110

=== debian/changelog ===
google-android-installers (1743116110-1) unstable; urgency=medium

  * debian/scripts/make_zip_package.sh: fix when running as SPLIT
  * New upstream version 1743116110
    - NEW packages:
      - google-android-build-tools-36.0.0-installer
      - google-android-cmdline-tools-19.0-installer
      - google-android-platform-35-ext15-installer
      - google-android-platform-36-installer
      - google-android-sources-36-installer
    - update emulator package to 35.4.9
    - update google-android-platform-35-baklava-installer to rev5
  * update debian/version_list_unpacked_size.txt

 -- Fab Stz <fabstz-it@yahoo.fr>  Fri, 28 Mar 2025 08:59:00 +0100
