=== debian/tests/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Depends: google-android-build-tools-19.1.0-installer,
 Architecture: amd64 i386
 
-Test-Command: /usr/lib/android-sdk/build-tools/35.0.1/aapt v
-Depends: google-android-build-tools-35.0.1-installer,
+Test-Command: /usr/lib/android-sdk/build-tools/36.0.0/aapt v
+Depends: google-android-build-tools-36.0.0-installer,
 Architecture: amd64
 
 Test-Command: /usr/lib/android-sdk/extras/google/auto/desktop-head-unit --version
