## google-android-installers 1743526702

=== debian/changelog ===
google-android-installers (1743526702-1) unstable; urgency=medium

  * fix lintian warning extended-description-line-too-long
  * d/control: autoupdate after previous commit
  * d/tests/control: reenable test of google-android-platform-tools-installer
  * stop shipping 51-android.rules (Closes: #1101906)
  * Recommend android-udev-rules
  * New upstream version 1743526702

 -- Fab Stz <fabstz-it@yahoo.fr>  Wed, 02 Apr 2025 09:36:57 +0200
