## google-android-installers 1755725555

=== debian/changelog ===
google-android-installers (1755725555-1) unstable; urgency=medium

  * Update Portuguese translation Closes: #1107472. Thanks to Américo Monteiro
  * move sha1sum check to $(UNPACK_DIR)/source.properties. Closes: #1109645
  * refresh pt.po translation file
  * New upstream version 1755725555
    - NEW packages:
      - google-android-ndk-r27d-installer
      - google-android-ndk-r28b-installer
      - google-android-ndk-r28c-installer
      - google-android-platform-36-baklava-ext19-installer
      - google-android-platform-36-ext18-installer
      - google-android-platform-36-ext19-installer
    - update google-android-emulator-installer to 36.1.9
    - update google-android-platform-36-installer to rev2
    - update google-android-platform-tools-installer to 36.0.0
    - update google-android-sources-36-installer
  * d/s/get_unpacked_size.sh: write size to file before purge
  * update debian/version_list_unpacked_size.txt
  * platform-tools: remove links&Provides for dmtracedump, e2fsdroid.
    Closes: #1112165

 -- Fab Stz <fabstz-it@yahoo.fr>  Wed, 27 Aug 2025 11:57:08 +0200
