=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,10 @@
 
 Test-Command: /usr/lib/android-sdk/build-tools/36.0.0/aapt v
 Depends: google-android-build-tools-36.0.0-installer,
+Architecture: amd64
+
+Test-Command: /usr/lib/android-sdk/./platform-tools/adb version
+Depends: google-android-platform-tools-installer,
 Architecture: amd64
 
 Test-Command: /usr/lib/android-sdk/extras/google/auto/desktop-head-unit --version
